# MethodException
Date: 2013-02-18

## org.simpleframework.xml.core
Class MethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.core.MethodException

All Implemented Interfaces:
  java.io.Serializable

    public class MethodException

extends PersistenceException

The `MethodException` is used to represent conditions where a Java Bean property has been annotated incorrectly. This is thrown if a class schema performs illegal annotations. Such annotations occur if the methods do not conform to the Java Bean naming conventions, or if field and method annotations are mixed.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`MethodException(java.lang.String text, java.lang.Object... list)` Constructor for the `MethodException` object.
`MethodException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `MethodException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodException

    public MethodException(java.lang.String text,
                           java.lang.Object... list)

  Constructor for the `MethodException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### MethodException

    public MethodException(java.lang.Throwable cause,
                           java.lang.String text,
                           java.lang.Object... list)

  Constructor for the `MethodException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string